<?
include("./_common.php");
//-- 저장하기 -------------------------------------------------------------------------------------
if($mode == "save") {
	if($in_pagecode == "") {
		alert("페이지코드가 없습니다.", "./pe.admin.php?mode=write");
		exit;
	}
	if($in_subject == "") {
		alert("제목이 없습니다.", "./pe.admin.php?mode=write");
		exit;
	}

	$sql	= "insert into zm_page_editor set db_subject='$in_subject', db_document='$in_document', db_page_code='$in_pagecode'";
	sql_query($sql);

	alert("페이지 내용이 저장 되었습니다.", "./pe.admin.php?&pageno=$pageno");
}

//-- 수정하기 -------------------------------------------------------------------------------------
if($mode == "update") {
	if($in_subject == "") {
		alert("제목이 없습니다.", "./pe.admin.php?mode=write");
		exit;
	}

	$sql	= "update zm_page_editor set db_subject='$in_subject', db_document='$in_document' where db_recno='$recno'";
	sql_query($sql);

	alert("페이지 내용이 저장 되었습니다.", "./pe.admin.php?mode=edit&id=$recno&pageno=$pageno&editmode=$editmode");
}

//-- 삭제하기 -------------------------------------------------------------------------------------
if($mode == "del"){
	sql_query("delete from zm_page_editor where db_recno='$id'");

	alert("페이지가 삭제 되었습니다.", "./pe.admin.php?pageno=$pageno");
}
?>